package com.fs.store.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 商品对象 fs_store_product
 *
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商品id */
    private Long productId;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String image;

    /** 轮播图 */
    @Excel(name = "轮播图")
    private String sliderImage;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String productName;

    /** 商品简介 */
    @Excel(name = "商品简介")
    private String productInfo;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyword;

    /** 产品条码（一维码） */
    @Excel(name = "产品条码", readConverterExp = "一=维码")
    private String barCode;

    /** 分类id */
    @Excel(name = "分类id")
    private Long cateId;

    /** 商品价格 */
    @Excel(name = "商品价格")
    private BigDecimal price;

    /** 会员价格 */
    @Excel(name = "会员价格")
    private BigDecimal vipPrice;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal otPrice;

    /** 邮费 */
    @Excel(name = "邮费")
    private BigDecimal postage;

    /** 单位名 */
    @Excel(name = "单位名")
    private String unitName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 销量 */
    @Excel(name = "销量")
    private Long sales;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** 状态（0：未上架，1：上架） */
    @Excel(name = "状态", dictType = "store_product_is_show", readConverterExp = "0=:未上架，1:上架")
    private Integer isShow;

    /** 是否热卖 */
    @Excel(name = "是否热卖")
    private Integer isHot;

    /** 是否优惠 */
    @Excel(name = "是否优惠")
    private Integer isBenefit;

    /** 是否精品 */
    @Excel(name = "是否精品")
    private Integer isBest;

    /** 是否新品 */
    @Excel(name = "是否新品")
    private Integer isNew;

    @Excel(name = "是否在商品展示")
    private Integer isDisplay;

    /** 产品描述 */
    @Excel(name = "产品描述")
    private String description;

    /** 是否包邮 */
    @Excel(name = "是否包邮")
    private Integer isPostage;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 获得积分 */
    @Excel(name = "获得积分")
    private BigDecimal giveIntegral;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal cost;

    /** 是否优品推荐 */
    @Excel(name = "是否优品推荐")
    private Integer isGood;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long browse;

    /** 产品二维码地址(用户小程序海报) */
    @Excel(name = "产品二维码地址(用户小程序海报)")
    private String codePath;

    /** 运费模板ID */
    @Excel(name = "运费模板ID")
    private Integer tempId;

    /** 规格 0单 1多 */
    @Excel(name = "规格 0单 1多")
    private Integer specType;

    /** 是开启积分兑换 */
    @Excel(name = "是开启积分兑换")
    private Integer isIntegral;

    /** 需要多少积分兑换 只在开启积分兑换时生效 */
    @Excel(name = "需要多少积分兑换 只在开启积分兑换时生效")
    private Long integral;

    /** 商品类型:1非处方 2处方 */
    @Excel(name = "商品类型:1非处方 2处方", dictType = "store_product_type")
    private Integer productType;

    /** 国药准字 */
    @Excel(name = "国药准字")
    private String prescribeCode;

    /** 规格 */
    @Excel(name = "规格")
    private String prescribeSpec;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String prescribeFactory;

    /** 处方名 */
    @Excel(name = "处方名")
    private String prescribeName;

    private Integer tuiCateId;

    public Integer getTuiCateId() {
        return tuiCateId;
    }

    public void setTuiCateId(Integer tuiCateId) {
        this.tuiCateId = tuiCateId;
    }

    public Integer getIsDisplay() {
        return isDisplay;
    }

    public void setIsDisplay(Integer isDisplay) {
        this.isDisplay = isDisplay;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getSliderImage() {
        return sliderImage;
    }

    public void setSliderImage(String sliderImage) {
        this.sliderImage = sliderImage;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductInfo() {
        return productInfo;
    }

    public void setProductInfo(String productInfo) {
        this.productInfo = productInfo;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public Long getCateId() {
        return cateId;
    }

    public void setCateId(Long cateId) {
        this.cateId = cateId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getVipPrice() {
        return vipPrice;
    }

    public void setVipPrice(BigDecimal vipPrice) {
        this.vipPrice = vipPrice;
    }

    public BigDecimal getOtPrice() {
        return otPrice;
    }

    public void setOtPrice(BigDecimal otPrice) {
        this.otPrice = otPrice;
    }

    public BigDecimal getPostage() {
        return postage;
    }

    public void setPostage(BigDecimal postage) {
        this.postage = postage;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getSales() {
        return sales;
    }

    public void setSales(Long sales) {
        this.sales = sales;
    }

    public Long getStock() {
        return stock;
    }

    public void setStock(Long stock) {
        this.stock = stock;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public Integer getIsHot() {
        return isHot;
    }

    public void setIsHot(Integer isHot) {
        this.isHot = isHot;
    }

    public Integer getIsBenefit() {
        return isBenefit;
    }

    public void setIsBenefit(Integer isBenefit) {
        this.isBenefit = isBenefit;
    }

    public Integer getIsBest() {
        return isBest;
    }

    public void setIsBest(Integer isBest) {
        this.isBest = isBest;
    }

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getIsPostage() {
        return isPostage;
    }

    public void setIsPostage(Integer isPostage) {
        this.isPostage = isPostage;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public BigDecimal getGiveIntegral() {
        return giveIntegral;
    }

    public void setGiveIntegral(BigDecimal giveIntegral) {
        this.giveIntegral = giveIntegral;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Integer getIsGood() {
        return isGood;
    }

    public void setIsGood(Integer isGood) {
        this.isGood = isGood;
    }

    public Long getBrowse() {
        return browse;
    }

    public void setBrowse(Long browse) {
        this.browse = browse;
    }

    public String getCodePath() {
        return codePath;
    }

    public void setCodePath(String codePath) {
        this.codePath = codePath;
    }

    public Integer getTempId() {
        return tempId;
    }

    public void setTempId(Integer tempId) {
        this.tempId = tempId;
    }

    public Integer getSpecType() {
        return specType;
    }

    public void setSpecType(Integer specType) {
        this.specType = specType;
    }

    public Integer getIsIntegral() {
        return isIntegral;
    }

    public void setIsIntegral(Integer isIntegral) {
        this.isIntegral = isIntegral;
    }

    public Long getIntegral() {
        return integral;
    }

    public void setIntegral(Long integral) {
        this.integral = integral;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public String getPrescribeCode() {
        return prescribeCode;
    }

    public void setPrescribeCode(String prescribeCode) {
        this.prescribeCode = prescribeCode;
    }

    public String getPrescribeSpec() {
        return prescribeSpec;
    }

    public void setPrescribeSpec(String prescribeSpec) {
        this.prescribeSpec = prescribeSpec;
    }

    public String getPrescribeFactory() {
        return prescribeFactory;
    }

    public void setPrescribeFactory(String prescribeFactory) {
        this.prescribeFactory = prescribeFactory;
    }

    public String getPrescribeName() {
        return prescribeName;
    }

    public void setPrescribeName(String prescribeName) {
        this.prescribeName = prescribeName;
    }
}
